﻿@font-face {
    font-family: 'Poppins-Regular';
    src: url('../../fonts/Poppins-Regular.ttf') format('truetype');
}
@font-face {
    font-family: 'SolaimanLipi';
    src: url('../../fonts/SolaimanLipi.ttf') format('truetype');
}
@font-face {
    font-family: 'Bangla';
    src: url('../../fonts/Bangla.ttf') format('truetype');
}

.gatepass_Passed{
    background-color:green;
    color:white;


}
.starmarkedFiled {
    position: absolute;
    bottom: 51%;
    left: 100%;
    font-size: 26px;
    color: red;
}
.manpowerGroupTitle {

    font-size: 15px;
    background-color: #ebecec;
    padding-left: 14px;
    padding-top: 10px;
    padding-bottom: 10px;

}
.br-2p{
    border-radius:2px;
}
.f-20 {
    font-size: 20px;
}
.f-18{
    font-size:18px;
}
.f-15 {
    font-size: 15px;
}
.f-12 {
    font-size: 12px;
}

.f-10 {
    font-size: 10px;
}

.fixedtable {
    width: 100%;
}


    .fixedtable, .fixedtable td {
        border-collapse: collapse;
    }

        .fixedtable thead {
            display: table; /* to take the same width as tr */
            width: calc(100% - 17px); /* - 17px because of the scrollbar width */
        }

        .fixedtable tbody {
            display: block; /* to enable vertical scrolling */
            max-height: 500px; /* e.g. */
            overflow-y: scroll; /* keeps the scrollbar even if it doesn't need it; display purpose */
        }

        .fixedtable th, .fixedtable td {
            width: 10%; /* to enable "word-break: break-all" */
            padding: 5px;
            word-break: break-all; /* 4. */
        }



        .fixedtable td {
            border-bottom: none;
            border-left: none;
        }


.demandStatus {
    padding: 2px 5px;
    border-radius: 2px;
    display: inline-block;
    display: inline-block;
    padding: .35em .4em;
    font-size: 85%;
    text-align: center;
    vertical-align: baseline;
    border-radius: .25rem;

    line-height: 1;
    white-space: nowrap;
}

.Status_Pending {
    background-color: indianred;
    color: white;
}
.Status_UnitApproved {
    background-color: #ed8505;
    color: white;
}

.Status_SSDApproved {
    background-color: #e0fa00;
    color: black;
}
.Status_Partially_Distributed {
    background-color: #ffc368;
    color: black;
}
.Status_OC_SSDApproved {
    background-color: #fcff09;
    color: black;
}
.Status_Distributed {
    background-color: #7705f7;
    color: white;
}

.Status_GatePassCreated {
    background-color: #0883fa;
    color: white;
}

.Status_Passed {
    background-color: green;
    color: white;
}

.Status_Rejected {
    background-color: red;
    color: white;
}

.Status_STOApproved {
    background-color: #7705f7;
    color: white;
}
.Status_HQApproved {
    background-color: #e0fa00;
    color: black;
}

.Status_BrApproved {
    background-color: #7705f7;
    color: white;
}
.badge-success {
    background-color: #337531;
}

input[type="text"][readonly] {
    background: #dfdddd !important;
    pointer-events: none !important;
    touch-action: none !important;
}

input[type="checkbox"][readonly] {
    pointer-events: none !important;
    touch-action: none !important;
}

input[type="radio"][readonly] {
    pointer-events: none !important;
    touch-action: none !important;
}

select[readonly] {
    background: #dfdddd !important;
    pointer-events: none !important;
    touch-action: none !important;
}

.demand-tbl-input {
    border: 1px solid #d8d8d8 !important;
    border-radius: 0;
    height: 30px;
}

.demand-tbl .demand-tbl-clmn {
    padding: 0 !important;
}

.demand-tbl .demand-tbl-clmn-ungrouped {
    padding: 4px 15px !important;
}


.demand-tbl.table-sm td, .demand-tbl.table-sm th {
    padding: 5px 20px;
}
body, div, .col-md-12, .row, h1, h2, h3, h4, h5, h6, p, sapn, li {
    font-family: 'SolaimanLipi';
}

html body a {
    font-family: 'SolaimanLipi';
    color: #043b5f;
}

.tdpadddlow{
    padding: 8px 8px !important;
}
#printable {
    font-family: 'SolaimanLipi';
}
.printdiv {
    font-family: 'SolaimanLipi';
}
.bold {
    font-weight: bold;
}
body {
    font-family: 'Poppins-Regular' !important;
}

.mb_5px{
    margin-bottom:5px
}
.mr_5px {
    margin-right: 5px
}

.sub-heading {
    font-size: 20px;
    text-align: left;
    /*background-color: #fff766;*/
    font-weight: bold;
    margin-bottom: 10px;
}


/*Dashboard link design*/

.dashboardLink-container {
    background-color: white;
}

.backbtn {
    color: white;
    font-size: 20px;
}

    .backbtn:hover {
        color: #11520f;

    }
.dashboardLink-container {
    /*box-shadow: 0px 2px 5px #d1d1d1;*/
    padding: 20px;
}

.dashboardLink {
    margin-bottom: 0px;
}


    .dashboardLink .icon-container {
        background-color: white;
        height: 170px;
        width: 170px;

        text-align: center;
        border: 1px dashed #c1c1c1;
        border-radius: 10%;
        /*box-shadow: 5px 10px 10px #c1c1c1;*/
    }

        .dashboardLink .icon-container .icon {
            font-size: 65px;
            line-height: 170px;
        }

    .dashboardLink .title {
        margin-top: 10px;
        margin-left: 20px;
        font-size: 17px;
        font-weight: bold;
    }

    .dashboardLink a {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 85%;
    }






    .dashboardLink a {
        transition: all 0.2s ease-in-out;
        display: inline-block;
        text-align: center;
    }

        .dashboardLink a:hover {
            transition: all 0.2s ease-in-out;
            color: #006027 !important;
        }

        .dashboardLink a > .icon-container {
            transition: all 0.2s ease-in-out;
            margin: auto;
        }

        .dashboardLink a:hover > .icon-container {
            border: 1px solid #c1c1c1;
            border-radius: 50%;
            transition: all 0.2s ease-in-out;
            box-shadow: 5px 10px 10px #699e68c4;
        }

.dashboard_title {
    background-color: green;
    color: white;
    font-size: 18px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-weight: bold;
}
/*Dashboard link design*/









.treegrid-expander {

    color: #0b70d8;
}

.treegrid-expander:hover{
    color:red;
}
.app-content .wizard > .steps > ul > li:after, .app-content .wizard > .steps > ul > li:before {
    z-index: 0 !important;
}
.app-content .wizard > .steps .step {

    z-index: 1 !important;
}

.bold{font-weight:bold;}

.custom-box {
    background-color: white;
    padding-top: 10px;
}
.breadcrumb {
    font-size: 15px;
    font-weight: bold;
}
.breadcrumb-item + .breadcrumb-item::before {

    content: '/' !important;
}
    .panding-count-Badge {
    padding: 2px;
    background-color: #e2001e;
    color: white;
    font-weight: bold;
    float: right;
    padding-right: .6em;
    padding-left: .6em;
    position: absolute;
    top: 143px;
    left: 172px;
    box-shadow: -2px 2px 5px #483639;
}
.coppy-title {
    background-color: #09002d;
    padding: 10px;
    font-size: 18px;
    color: white;
    margin-bottom: 12px;
    text-align:center;
}
#oms-modal-form .modal-content {
    border-radius: 0;
}

#oms-modal-form .modal-header {
    background-color: white;
    border-radius: 0;
    border: 1px solid silver;
}

#oms-modal-form .modal-title {
    color: black;
}

#oms-modal-form  .modal-footer {
    border-top: 1px solid #bbbbbb;
    border-bottom-right-radius: .35rem;
    border-bottom-left-radius: .35rem;
}

#oms-modal-form .btn {
    border-radius: 0;
}
/*---------------------------nav style-----------------------------------------------------------------------------*/
@font-face {
    font-family: 'QuickSand';
    src: url('../../fonts/QuickSand.woff2') format('woff2');
}
@font-face {
    font-family: 'Georgia';
    src: url('../../fonts/Georgia.ttf') format('truetype');
}
@font-face {
    font-family: 'OpenSans-Regular';
    src: url('../../fonts/OpenSans-Regular.ttf') format('truetype');
}
@font-face {
    font-family: 'OpenSans-Light';
    src: url('../../fonts/OpenSans-Light.ttf') format('truetype');
}
@font-face {
    font-family: 'OpenSans-Bold';
    src: url('../../fonts/OpenSans-Bold.ttf') format('truetype');
}
@font-face {
    font-family: 'OpenSans-Italic';
    src: url('../../fonts/OpenSans-Italic.ttf') format('truetype');
}
.library_layout {
    font-family: 'OpenSans-Regular' !important;
}
/*.navbar-dark {
    background-color: #09002d;
}*/

.c_w{
    color:white;
}
.vertical-compact-menu .main-menu .navigation > li.active > a {
    font-weight: 400;
    background: 0 0;
    border-right: 4px solid #ffeb00;
    margin: 0;
    border-radius: 0;
    padding-left: .8rem;
}
.main-menu.menu-dark {
    color: #DCDCDC;
    background: #2c303b;
}

    .main-menu.menu-dark .navigation > li.open > a {
        color: #C3C3C3;
        background: #23262F;
        border-right: 4px solid #ffe635;
    }
    .main-menu.menu-dark .navigation {
        background: #2c303b;
    }
    .main-menu.menu-dark .navigation {
        background: #2c303b;
    }

/*---------------------------nav style-----------------------------------------------------------------------------*/
 .rstatus .Reserved {
     background-color:darkblue;
}

.rstatus .Returned {
    background-color: green;
}
.dwnldEbbokBtn {
    color: white;
}
    .dwnldEbbokBtn:hover {
        color: white;
        text-shadow: 2px 2px 3px #000000;
    }


.vertical_text {
    writing-mode: vertical-rl;
    -ms-writing-mode: tb-rl;
    transform: rotate(180deg);
    /*position: relative;
    bottom: -75px;
    right: 28px;
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);*/
}

.arcive_attachment_container .dropzone {
    min-height: 180px;
    border: 2px dashed #115600;
    background-image: url('../../Content/images/patternline.gif');
}

    .arcive_attachment_container .dropzone .dz-message:before {
        content: none;
    }

    .arcive_attachment_container .dropzone .dz-message {
        font-size: 23px;
        position: absolute;
        top: 54%;
        left: 0;
        width: 100%;
        height: 300px;
        margin-top: -30px;
        color: #005416;
        text-align: center;
    }



.dropzone .dz-preview .dz-success-mark svg, .dropzone .dz-preview .dz-error-mark svg {
    background-color: #ff0000a8;
    border-radius: 50%;
}

.dropzone .dz-preview .dz-success-mark svg, .dropzone .dz-preview .dz-success-mark svg {
    background-color: green;
    border-radius: 50%;
}

.rotate_90 {
   transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
}
.bg-light-dark {
    background-color: #ebebeb !important;
}
.btn-outline-success:hover {
    background-color: #00810d;
    color: #FFF !important;
}
.table-title-custom {
    background-color: #ffffff;
    color: #616161;
    padding: 15px;
    margin-bottom: 20px;
    font-size: 14px;
    font-weight: bold;
    /*box-shadow: 0px 2px 3px #d8d8d8;*/
}

.btn-warning{
    color:white !important;
}
.product-bread-crumb {
    margin-left: 5px;
    margin-right: 5px;
    padding: 5px;
}

.product-parent-nav {
    margin-top: 10px;
    -moz-column-count: 3;
    -moz-column-gap: 20px;
    -webkit-column-count: 3;
    -webkit-column-gap: 20px;
    column-count: 3;
    column-gap: 30px;
}
    .product-parent-nav li {
        list-style-type: none;


    }
        .product-parent-nav li a {
            margin-bottom: 4px;
            padding-left: 10px;
            font-size: 13px;
            font-weight: 400;

        }
.product-parent-nav li a:hover{
        text-decoration:none;
    }


.is-line-item-div{
    display:none;
}
.tab-content-container{
    margin-top:30px;
}


#oms-form .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #4E5154;
    background-color: #666de7;
    /* border-color: #000000 #000000 #000000; */
    color: white;
}
.fa-check-square {
    color: green;
}

.fa-times-circle {
    color: darkred;
}
/*------------------------------margin padding-------------------------------------*/
.mt-25 {
    margin-top: 25px;
}
.mb-20{
    margin-bottom:20px;
}

.pos-absolute {
    position: absolute
}





/*------------------------------------------shimmer effect----------------------------------------*/
.shimmer-container .shine {
    background: #f6f7f8;
    background-image: linear-gradient(to right, #f6f7f8 0%, #edeef1 20%, #f6f7f8 40%, #f6f7f8 100%);
    background-repeat: no-repeat;
    background-size: 800px 104px;
    display: inline-block;
    position: relative;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: forwards;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-name: placeholderShimmer;
    -webkit-animation-timing-function: linear;
}

.shimmer-container box {
    height: 104px;
    width: 100px;
}
    .shimmer-container .shimmer-div {
    display: inline-flex;
    flex-direction: column;
    margin-left: 25px;
    margin-top: 15px;
    vertical-align: top;
}

.shimmer-container lines {
    height: 10px;
    margin-top: 10px;
    width: 200px;
}

.shimmer-container photo {
    display: block !important;
    width: 325px;
    height: 100px;
    margin-top: 15px;
}

@-webkit-keyframes placeholderShimmer {
    0% {
        background-position: -468px 0;
    }

    100% {
        background-position: 468px 0;
    }
}

/*------------------------------------------shimmer effect----------------------------------------*/

@media print{
    .hidden-print{
        display: none !important;
    }


}